%define module	tables
%define name 	python-%{module}
%define version 3.0.0
%define release %mkrel 1

Summary: 	Hierarchical datasets in Python
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	https://pypi.python.org/packages/source/t/%{module}/%{module}-%{version}.tar.xz
License: 	BSD
Group: 	 	Development/Python
Url: 	 	http://www.pytables.org
Requires: 	python-numpy
Requires:	python-numexpr
BuildRequires:	python-numpy
BuildRequires:	python-numpy-devel
BuildRequires:	python-numexpr
BuildRequires: 	hdf5-devel
BuildRequires:	bzip2-devel
BuildRequires:	liblzo-devel
BuildRequires:	python-cython
BuildRequires:	python-setuptools
BuildRequires:	python-devel

%description
PyTables is a Python package for managing hierarchical datasets
designed to efficiently and easily cope with extremely large amounts
of data. It is built on top of the HDF5 library and the NumPy package
(numarray and Numeric are also supported). PyTables features an
object-oriented interface and performance-critical extensions coded in
C (generated using Pyrex) that make it a fast yet extremely
easy-to-use tool for interactively processing and searching through
very large amounts of data. PyTables also optimizes memory and disk
resources so that data occupies much less space than with other
solutions such as relational or object-oriented databases (especially
when compression is used).

%package	doc
Group:		Documentation
Summary:	Documentation for PyTables
BuildArch:	noarch

%description doc
The %{name}-doc package contains the documentation related to 
PyTables.

%prep 
%setup -q -n %{module}-%{version}

%build
export LIBS="dl m"
CFLAGS="%{optflags}" %{__python} setup.py build


%install
chmod -x examples/check_examples.sh
for i in utils/*; do sed -i 's|bin/env |bin/|' $i; done

%{__python} setup.py install -O1 --skip-build --root=%{buildroot} 


%files
%doc *.txt LICENSES
%{_bindir}/pt2to3
%{_bindir}/ptdump
%{_bindir}/ptrepack
%{python_sitearch}/%{module}
%{python_sitearch}/%{module}-%{version}-py*.egg-info

%files doc
%doc examples/
%doc doc/html/


%changelog
* Tue Aug 13 2013 billybot <billlybot> 3.0.0-1pclos2013
- update
